/***********************************************************************************
 * @@ Program Name : HttpDeptList.java Description : 기관에속한 부서들의 목록 Author : 강원중 Create Date : 2003-12-16 History :
 * @@
 ***********************************************************************************/

package kr.co.kihyun.beans.user;

import java.io.IOException;
import java.io.PrintWriter;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.logging.Level;
import javax.jdo.JDOObjectNotFoundException;
import javax.jdo.PersistenceManager;
import javax.jdo.Transaction;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import kr.co.kihyun.beans.entity.MDept;
import kr.co.kihyun.beans.entity.MUser;
import kr.co.kihyun.beans.entity.UserPart;
import kr.co.kihyun.beans.entity.util.MPersistenceManager;
import kr.co.kihyun.beans.entity.util.PMF;
import kr.co.kihyun.db.DBManager;

import kr.co.kihyun.lang.Encoder;
import kr.co.kihyun.moumi.MoumiConfig;
import kr.co.kihyun.lang.MString;
import kr.co.kihyun.text.html.ServletUtil;
import kr.co.kihyun.beans.user.HttpApproveInsert;
import kr.co.kihyun.lang.MLong;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
@WebServlet("/servlet/kr.co.kihyun.beans.user.HttpApproveSet")
public class HttpApproveSet extends HttpServlet {

	private static final long serialVersionUID = 1L;
	private static final Logger LOG = LoggerFactory.getLogger(HttpApproveSet.class);

	@Override
	public void doGet(HttpServletRequest req, HttpServletResponse res) throws ServletException, IOException,NumberFormatException {
		doPost(req, res);
		return;
	}

	@Override
	public void doPost(HttpServletRequest req, HttpServletResponse res) throws ServletException, IOException,NumberFormatException {
		res.setContentType("text/html;charset=UTF-8");
		PrintWriter out = res.getWriter();

        Long reportID = MLong.parseLong(req.getParameter("reportID"));
        String reportType = MString.checkNull(req.getParameter("reportType"));
		String idList = Encoder.toJava(req.getParameter("deptIDs"));
		String typeList = Encoder.toJava(req.getParameter("deptTypes"));
        String docReportID = Encoder.toJava(req.getParameter("docReportID"));
        LOG.debug("idList: {}", idList);
        try {
      
            HttpApproveInsert dm = new HttpApproveInsert(reportID,reportType,idList, typeList, docReportID,req,res);
            
            
        } catch (SQLException ex) {
            java.util.logging.Logger.getLogger(HttpApproveSet.class.getName()).log(Level.SEVERE, null, ex);
        }finally
        {
          
        }
	}

}
